Index: c/src/lib/libcpu/mips/ChangeLog
===================================================================
--- c/src/lib/libcpu/mips/ChangeLog	(revision 843c2ebe8f130c201d3e35dc9bc5bc4c967a80a1)
+++ c/src/lib/libcpu/mips/ChangeLog	(revision 1f751a7c45d7af77b163c61de5b804e56465c206)
@@ -1,2 +1,13 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* mongoosev/duart/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* mongoosev/vectorisrs/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* r46xx/vectorisrs/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* shared/cache/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* shared/interrupts/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* timer/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* tx39/vectorisrs/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-08-09	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libcpu/mips/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/clock/Makefile.am	(revision 843c2ebe8f130c201d3e35dc9bc5bc4c967a80a1)
+++ c/src/lib/libcpu/mips/clock/Makefile.am	(revision 1f751a7c45d7af77b163c61de5b804e56465c206)
@@ -12,5 +12,5 @@
 noinst_HEADERS = clock.h
 
-clock_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o) $(S_FILES:%.S=$(ARCH)/%.o)
+clock_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT)) $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libcpu/mips/mongoosev/duart/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/mongoosev/duart/Makefile.am	(revision 843c2ebe8f130c201d3e35dc9bc5bc4c967a80a1)
+++ c/src/lib/libcpu/mips/mongoosev/duart/Makefile.am	(revision 1f751a7c45d7af77b163c61de5b804e56465c206)
@@ -8,5 +8,5 @@
 C_FILES = mg5uart.c mg5uart_reg.c
 
-mg5uart_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o) $(S_FILES:%.S=$(ARCH)/%.o)
+mg5uart_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT)) $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libcpu/mips/mongoosev/vectorisrs/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/mongoosev/vectorisrs/Makefile.am	(revision 843c2ebe8f130c201d3e35dc9bc5bc4c967a80a1)
+++ c/src/lib/libcpu/mips/mongoosev/vectorisrs/Makefile.am	(revision 1f751a7c45d7af77b163c61de5b804e56465c206)
@@ -8,5 +8,5 @@
 C_FILES = maxvectors.c vectorisrs.c
 
-vectorisrs_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o) $(S_FILES:%.S=$(ARCH)/%.o)
+vectorisrs_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT)) $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libcpu/mips/r46xx/vectorisrs/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/r46xx/vectorisrs/Makefile.am	(revision 843c2ebe8f130c201d3e35dc9bc5bc4c967a80a1)
+++ c/src/lib/libcpu/mips/r46xx/vectorisrs/Makefile.am	(revision 1f751a7c45d7af77b163c61de5b804e56465c206)
@@ -8,5 +8,5 @@
 C_FILES = maxvectors.c vectorisrs.c
 
-vectorisrs_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o) $(S_FILES:%.S=$(ARCH)/%.o)
+vectorisrs_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT)) $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libcpu/mips/shared/cache/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/shared/cache/Makefile.am	(revision 843c2ebe8f130c201d3e35dc9bc5bc4c967a80a1)
+++ c/src/lib/libcpu/mips/shared/cache/Makefile.am	(revision 1f751a7c45d7af77b163c61de5b804e56465c206)
@@ -7,5 +7,5 @@
 
 C_FILES = cache.c cache_aligned_malloc.c cache_manager.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 include_libcpudir = $(includedir)/libcpu
Index: c/src/lib/libcpu/mips/shared/interrupts/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/shared/interrupts/Makefile.am	(revision 843c2ebe8f130c201d3e35dc9bc5bc4c967a80a1)
+++ c/src/lib/libcpu/mips/shared/interrupts/Makefile.am	(revision 1f751a7c45d7af77b163c61de5b804e56465c206)
@@ -10,5 +10,5 @@
 S_FILES = isr_entries.S
 
-interrupts_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o) $(S_FILES:%.S=$(ARCH)/%.o)
+interrupts_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT)) $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libcpu/mips/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/timer/Makefile.am	(revision 843c2ebe8f130c201d3e35dc9bc5bc4c967a80a1)
+++ c/src/lib/libcpu/mips/timer/Makefile.am	(revision 1f751a7c45d7af77b163c61de5b804e56465c206)
@@ -10,5 +10,5 @@
 S_FILES = gettime.S
 
-timer_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o) $(S_FILES:%.S=$(ARCH)/%.o)
+timer_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT)) $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libcpu/mips/tx39/vectorisrs/Makefile.am
===================================================================
--- c/src/lib/libcpu/mips/tx39/vectorisrs/Makefile.am	(revision 843c2ebe8f130c201d3e35dc9bc5bc4c967a80a1)
+++ c/src/lib/libcpu/mips/tx39/vectorisrs/Makefile.am	(revision 1f751a7c45d7af77b163c61de5b804e56465c206)
@@ -8,5 +8,5 @@
 C_FILES = maxvectors.c vectorisrs.c
 
-vectorisrs_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o) $(S_FILES:%.S=$(ARCH)/%.o)
+vectorisrs_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT)) $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
